using System;
using Unit4.CollectionsLib;
using Unit4.UtilsLib;
using System.Text;

namespace ConsoleApplicationBank
{
    class Account
    {
        private String ownerName;
        private int ownerNum;
        private double ownerBalance;
        public Account(String ownerName, int ownerNum)
        {
            this.ownerName = ownerName;
            this.ownerNum = ownerNum;
            this.ownerBalance = 0;
        }

        public void SetOwnerName(String ownerName)
        {
            this.ownerName = ownerName;
        }
        public String GetName()
        {
            return (this.ownerName);
        }
        public void SetNum(int ownerNum)
        {
            this.ownerNum = ownerNum;
        }
        public int GetNum()
        {
            return (this.ownerNum);
        }
        public void Deposit(double amount)
        {
            this.ownerBalance += amount;
        }
        public void Withdrawal(double amount)
        {
            this.ownerBalance -= amount;
        }
        public double GetBalance()
        {
            return (this.ownerBalance);
        }
        
        public override String ToString()
        {
            return (" " + this.ownerName + ":" + this.ownerNum + " Balance:" + this.ownerBalance);
        }
    }

   
}
