using System;
using Unit4.CollectionsLib;
using Unit4.UtilsLib;
using System.Text;

namespace ConsoleApplicationBank
{
    class Program
    {
        static void Main(string[] args)
        {
            //  
            Bank bank = new Bank();
            int i;
            double amount;
            Random rnd = new Random();
            //   
            bank.OpenAccount("Galit Israel");
            bank.OpenAccount("Avner Chohen");
            bank.OpenAccount("Gershon Avraham");
            bank.OpenAccount("Daniela Yariv");
            bank.OpenAccount("Alice Marlo");
            bank.OpenAccount("Bob Denver");
            bank.OpenAccount("Galit Israel");
            bank.OpenAccount("Avner Chohen");
            bank.OpenAccount("Gershon Avraham");
            bank.OpenAccount("Daniela Yariv");
            bank.OpenAccount("Alice Marlo");
            bank.OpenAccount("Bob Denver");
            bank.OpenAccount("Galit Israel");
            bank.OpenAccount("Avner Chohen");
            bank.OpenAccount("Gershon Avraham");
            bank.OpenAccount("Daniela Yariv");
            bank.OpenAccount("Alice Marlo");
            bank.OpenAccount("Bob Denver");

            //  
            Console.WriteLine("bank:\n" + bank);
            Console.ReadLine();
            for (i = 1; i < 3000; i++)
            {
                if (bank.AccountExist(i))
                {
                    amount = rnd.Next(1000) - 1000;
                    bank.Deposit(i, amount);
                }
            }
            Console.WriteLine("bank:\n" + bank);
            Console.ReadLine();
            
            List<int> allAccountsNums = new List<int>();
            allAccountsNums = bank.GetAllAccountsNums();
            Console.WriteLine("All Accounts Of Bank:" + allAccountsNums);
            Console.ReadLine();

            int []allAccountsOf;
            allAccountsOf = bank.GetAllAccountsOf("Alice Marlo");
            Console.WriteLine("All Accounts Of Alice Marlo:");
            for (i = 0; i < allAccountsOf.Length; i++)
            {
                Console.Write(allAccountsOf[i] + ",");
            }
            Console.ReadLine();
            
            double balance;
            String name;
            balance = bank.GetBalance(1001);
            name = bank.GetOwnerName(1001);
            Console.WriteLine("The name of account 1001 is: " + name);
            Console.WriteLine("The balance of account 1001 is: " + balance);
            Console.ReadLine();
            bank.Deposit(1001, 1000);
            balance = bank.GetBalance(1001);
            Console.WriteLine("The balance of account 1001 after add 1000 to Deposit: " + balance);
            Console.ReadLine();

            bool isAvailable;
            isAvailable = bank.Withdrawal(1001, 3000);
            if (!isAvailable)
            {
                Console.WriteLine("The action is not Available, balance is: " + bank.GetBalance(1001));
            }
            
            Console.ReadLine();
            PrintNegBalance(bank);
            Console.ReadLine();

        }
        static void PrintNegBalance(Bank bank)
        {
            List<int> allAccountsNums = new List<int>();
            allAccountsNums = bank.GetAllAccountsNums();
            Node<int> pos = allAccountsNums.GetFirst();
            double balance;
            int accountNum;
            String name;
            while (pos != null)
            {
                accountNum = pos.GetInfo();
                balance = bank.GetBalance(accountNum);
                if (balance < 0)
                {
                    name = bank.GetOwnerName(accountNum);
                    Console.WriteLine(String.Format("The balance of {0}\t{1}\t{2}", accountNum, name, "now is negative " + balance));
                }
                pos = pos.GetNext();
            }

        }
        
    }
}
