using System;
using Unit4.CollectionsLib;
using Unit4.UtilsLib;
using System.Text;

namespace ConsoleApplicationBank
{
    class Program
    {
        static void Main(string[] args)
        {
            //  
            Bank bank = new Bank();
            double amount;
            Random rnd = new Random();
            //   
            int accountNum = bank.OpenAccount("Galit Israel");

            bank.Deposit(accountNum, 200);
            bank.Deposit(accountNum, 305);
            bank.Deposit(accountNum, 400);
            bank.Withdrawal(accountNum, 1000);
            //  
            Console.WriteLine("bank:\n" + bank);
            Console.ReadLine();
            
            
            
           

        }
        static void PrintNegBalance(Bank bank)
        {
            List<int> allAccountsNums = new List<int>();
            allAccountsNums = bank.GetAllAccountsNums();
            Node<int> pos = allAccountsNums.GetFirst();
            double balance;
            int accountNum;
            String name;
            while (pos != null)
            {
                accountNum = pos.GetInfo();
                balance = bank.GetBalance(accountNum);
                if (balance < 0)
                {
                    name = bank.GetOwnerName(accountNum);
                    Console.WriteLine(String.Format("The balance of {0}\t{1}\t{2}", accountNum, name, "now is negative " + balance));
                }
                pos = pos.GetNext();
            }

        }
        
    }
}
